Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.dale_uv.parser
Class PlausiPerformer

    java.lang.Object
      de.dale_uv.parser.PlausiPerformer

    public class PlausiPerformer

extends java.lang.Object

Führt die DALE-UV spezifischen Plausibilitätsprüfungen und liefert das Ergebnis als `FehlerLog`-Objekt. Bietet zusätzlich die Möglichkeit das Ergebnis der Prüfung in die konfigurierte Text- bzw. XML-Datei auszugeben.

Beispiel zur Verwendung:

       PlausiPerformer plausiPerformer = new PlausiPerformer();

       //Eingabedaten liegen in XML-Datei
       String filename = "DABE_01_3_0001.xml"; //Beispiel
       FehlerLog daleuvreport = plausiPerformer.doPlausi(filename);

       //Eingabedaten sind in einem DOM-Tree
       DOM domtree = null; //entsprechend initialisieren
       FehlerLog daleuvreport = plausiPerformer.doPlausi(domtree);

       //es soll nur ein bestimmtes Feld plausibilisiert werden
       FehlerLog daleuvreport = plausiPerformer.doFeldPlausi("/dabe_file/dabe/vin/vin_9", "17.06.2006", "DABE");

       int returncode = -1;
       //neues Fehlerdateiformat (XML)
       returncode = plausiPerformer.writeErrorFile("DABE_01_3_0001_error.xml", daleuvreport);

       //altes Fehlerdateiformat (TXT und Returncodedatei)
       returncode = plausiPerformer.writeErrorFileInOldFormat("DABE_01_3_0001_SVC_PR_XMLPRUE.txt", daleuvreport);

       //schreiben der Returncodedatei
       plausiPerformer.writeReturncodeFile("DABE_01_3_0001_Return.txt", returncode);

Version:
  $Revision: 1.95 $ $Date: 2013-10-18 10:19:12 $
Author:
  husmann, last modified by $Author: schmachtel $

Field Summary
`static java.lang.String` | `AUSGABEVERZEICHNIS`
`static java.lang.String` | `EINGABEVERZEICHNIS`
`static java.lang.String` | `LOG_DATEI`
`static java.lang.String` | `LOG_LEVEL`
`static java.lang.String` | `PL_CONFIG_NAME`
`static java.lang.String` | `PROGRAMMVERZEICHNIS`

Constructor Summary
`PlausiPerformer()` Initialisiert den Plausiperformer, wenn er als Bibliothek verwendet wird.
`PlausiPerformer(java.lang.String configfilename)` Initialisiert den Plausiperformer, wenn er innerhalb der Standalone-Laufzeitumgebung benutzt wird.
`PlausiPerformer(java.lang.String configfilename, java.lang.String configDir)` Initialisiert den Plausiperformer, wenn er innerhalb der Standalone-Laufzeitumgebung benutzt wird.

Method Summary
`FehlerLog` | `createFehlerObjekt(de.statspez.pleditor.generator.runtime.plausi.PlausiKontext kontext, de.statspez.pleditor.generator.runtime.plausi.PlausiInterface plausiInterface, java.lang.String datenquelle, boolean isAlteVersion, java.lang.String pruefschluessel)` Schreibt die bei der Plausibilisierung aufgetretenen Fehler aus dem PlausiKontext kontext in ein FehlerLog.
`FehlerLog` | `doFeldPlausi(java.lang.String xPathToFeld, java.lang.String value, java.lang.String nachrichtenname)` Fuehrt eine FeldPlausi aus mit der Standardplausiversion aus der Properties-Datei "pl_config_daleuv"
`FehlerLog` | `doFeldPlausi(java.lang.String xPathToFeld, java.lang.String value, java.lang.String nachrichtenname, PlausiContext context)` Fuehrt eine FeldPlausi mit dem vorgegebenen Kontext-Objekt aus.
`FehlerLog` | `doFeldPlausi(java.lang.String xPathToFeld, java.lang.String value, java.lang.String nachrichtenname, java.lang.String plausiVersion)` Deprecated. Durch die Methode doFeldPlausi(String, String, String, PlausiContext) ersetzt.
`FehlerLog` | `doPlausi(org.w3c.dom.Document document)` Fuehrt die Plausi auf einem DOM-Tree aus
`FehlerLog` | `doPlausi(org.w3c.dom.Document document, PlausiContext context)` Fuehrt die Plausi auf einem DOM-Tree mit dem vorgegebenen Kontext-Objekt aus.
`FehlerLog` | `doPlausi(org.w3c.dom.Document document, java.lang.String plausiVersion)` Deprecated. Durch die Methode doPlausi(Document, PlausiContext) ersetzt.
`FehlerLog` | `doPlausi(java.lang.String filename)` Fuehrt die Plausi aus.
`FehlerLog` | `doPlausi(java.lang.String filename, PlausiContext context)` Fuehrt die Plausi mit dem vorgegebenen Kontext-Objekt aus.
`FehlerLog` | `doPlausi(java.lang.String filename, java.lang.String plausiVersion)` Deprecated. Durch die Methode doPlausi(String, PlausiContext) ersetzt.
`static NodeDef` | `getDTDTree(java.lang.String plTyp)` gibt die DTD fuer die Plausi plTyp zurueck
`static java.util.HashSet` | `getExterneSegmente()`
`static java.util.HashSet` | `getInterneSegmente()`
`LoggerIfc` | `getLog()` Auslesen des Feldes log.
`static java.util.HashSet` | `getNachrichtentypen()`
`static java.util.List` | `getVersionInfo()` Listet alle Versionen der Plausiprüfungen pro Nachrichtentyp.
`boolean` | `isTest()` Liefert, ob es sich um einen Test handelt oder nicht.
`static void` | `main(java.lang.String[] args)` Fuehrt die der Nachrichtenversion entsprechende Plausi aus und generiert eine oder zwei Fehlerdateien Aufruf (altes Fehlerdateiformat (TXT und Returncodedatei): PlausiPerformer Returncodedatei Datendateiname [INI-Verzeichnis] oder (neues Fehlerdateiformat (XML)): PlausiPerformer Datendateiname [-ini INI-Verzeichnis]
`int` | `writeErrorFile(java.lang.String errorfilename, FehlerLog fehlerLog)` schreibt die bei der Plausibilisierung aufgetretenen Fehler aus dem FehlerLog im XML-Format in die Datei errorFilename
`int` | `writeErrorFileInOldFormat(java.lang.String errorfilename, FehlerLog fehlerLog)` schreibt die bei der Plausibilisierung aufgetretenen Fehler aus dem FehlerLog im XML-Format in die Datei errorFilename
`void` | `writeReturncodeFile(java.lang.String filename, int returncode)` schreibt eine Datei mit dem Returncode als Inhalt

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PL_CONFIG_NAME

    public static final java.lang.String PL_CONFIG_NAME

See Also:
  Constant Field Values

### PROGRAMMVERZEICHNIS

    public static java.lang.String PROGRAMMVERZEICHNIS

### EINGABEVERZEICHNIS

    public static java.lang.String EINGABEVERZEICHNIS

### AUSGABEVERZEICHNIS

    public static java.lang.String AUSGABEVERZEICHNIS

### LOG_DATEI

    public static java.lang.String LOG_DATEI

### LOG_LEVEL

    public static java.lang.String LOG_LEVEL

Constructor Detail

### PlausiPerformer

    public PlausiPerformer()

  Initialisiert den Plausiperformer, wenn er als Bibliothek verwendet wird.

### PlausiPerformer

    public PlausiPerformer(java.lang.String configfilename)

  Initialisiert den Plausiperformer, wenn er innerhalb der Standalone-Laufzeitumgebung benutzt wird.

  Parameters:
    `configfilename` - Name der Konfigurationsdatei.

### PlausiPerformer

    public PlausiPerformer(java.lang.String configfilename,
                           java.lang.String configDir)

  Initialisiert den Plausiperformer, wenn er innerhalb der Standalone-Laufzeitumgebung benutzt wird. Definiert das Verzeichnis, in dem nach der Konfigurationsdatei gesucht werden soll. Falls `null` oder ein Leerstring angegeben wird, sucht das Programm die Konfigurationsdatei zuerst im aktuellen Arbeitsverzeichnis und dann im Programmverzeichnis.

  Parameters:
    `configfilename` - Name der Konfigurationsdatei.
    `configDir` - Verzeichnis, in dem nach der Konfigurationsdatei gesucht werden soll.

Method Detail

### getNachrichtentypen

    public static java.util.HashSet getNachrichtentypen()

### getInterneSegmente

    public static java.util.HashSet getInterneSegmente()

### getExterneSegmente

    public static java.util.HashSet getExterneSegmente()

### doPlausi

    public FehlerLog doPlausi(java.lang.String filename)

  Fuehrt die Plausi aus.

  Parameters:
    `filename` - Name der XML-Datei, die plausibilisiert werden soll
  Returns:
    gibt das FehlerLog der durchgefuehrten Plausi zurueck

### doPlausi

    public FehlerLog doPlausi(java.lang.String filename,
                              java.lang.String plausiVersion)

  Deprecated. Durch die Methode doPlausi(String, PlausiContext) ersetzt.

  Fuehrt die Plausi mit einer vorgegebenen Version aus.

  Parameters:
    `filename` - Name der XML-Datei, die plausibilisiert werden soll
    `plausiVersion` - Version der Plausi, die fuer die Plausibilisierung verwendet werden soll (z.B. 07_1_01)
  Returns:
    gibt das FehlerLog der durchgefuehrten Plausi zurueck

### doPlausi

    public FehlerLog doPlausi(java.lang.String filename,
                              PlausiContext context)

  Fuehrt die Plausi mit dem vorgegebenen Kontext-Objekt aus.

  Parameters:
    `filename` - Name der XML-Datei, die plausibilisiert werden soll
    `context` - Kontext der Plausiausführung
  Returns:
    gibt das FehlerLog der durchgefuehrten Plausi zurueck

### doFeldPlausi

    public FehlerLog doFeldPlausi(java.lang.String xPathToFeld,
                                  java.lang.String value,
                                  java.lang.String nachrichtenname)

  Fuehrt eine FeldPlausi aus mit der Standardplausiversion aus der Properties-Datei "pl_config_daleuv"

  Parameters:
    `xPathToFeld` - XPath zum Feld, das plausibilisiert werden soll (z.B. /dabe_file/dabe/vin/vin_9)
    `value` - Wert des Feldes
    `nachrichtenname` - Name der Nachricht (z.B. DABE)
  Returns:
    gibt das FehlerLog der durchgefuehrten Plausi zurueck

### doFeldPlausi

    public FehlerLog doFeldPlausi(java.lang.String xPathToFeld,
                                  java.lang.String value,
                                  java.lang.String nachrichtenname,
                                  java.lang.String plausiVersion)

  Deprecated. Durch die Methode doFeldPlausi(String, String, String, PlausiContext) ersetzt.

  Fuehrt eine FeldPlausi fuer die angegebene Plausiversion aus

  Parameters:
    `xPathToFeld` - XPath zum Feld, das plausibilisiert werden soll (z.B. /dabe_file/dabe/vin/vin_9)
    `value` - Wert des Feldes
    `nachrichtenname` - Name der Nachricht (z.B. DABE)
    `plausiVersion` - Version der Nachricht (z.B. 07_1_01)
  Returns:
    gibt das FehlerLog der durchgefuehrten Plausi zurueck

### doFeldPlausi

    public FehlerLog doFeldPlausi(java.lang.String xPathToFeld,
                                  java.lang.String value,
                                  java.lang.String nachrichtenname,
                                  PlausiContext context)

  Fuehrt eine FeldPlausi mit dem vorgegebenen Kontext-Objekt aus.

  Parameters:
    `xPathToFeld` - XPath zum Feld, das plausibilisiert werden soll (z.B. /dabe_file/dabe/vin/vin_9)
    `value` - Wert des Feldes
    `nachrichtenname` - Name der Nachricht (z.B. DABE)
    `context` - Kontext der Plausiausführung
  Returns:
    gibt das FehlerLog der durchgefuehrten Plausi zurueck

### doPlausi

    public FehlerLog doPlausi(org.w3c.dom.Document document)

  Fuehrt die Plausi auf einem DOM-Tree aus

  Parameters:
    `document` - DOM-Tree, das plausibilisiert werden soll
  Returns:
    gibt das FehlerLog der durchgefuehrten Plausi zurueck

### doPlausi

    public FehlerLog doPlausi(org.w3c.dom.Document document,
                              java.lang.String plausiVersion)

  Deprecated. Durch die Methode doPlausi(Document, PlausiContext) ersetzt.

  Fuehrt die Plausi auf einem DOM-Tree mit einer vorgegebenen Version aus

  Parameters:
    `document` - DOM-Tree, das plausibilisiert werden soll
    `plausiVersion` - Version der Plausi, die fuer die Plausibilisierung verwendet werden soll (z.B. 07_1_01)
  Returns:
    gibt das FehlerLog der durchgefuehrten Plausi zurueck

### doPlausi

    public FehlerLog doPlausi(org.w3c.dom.Document document,
                              PlausiContext context)

  Fuehrt die Plausi auf einem DOM-Tree mit dem vorgegebenen Kontext-Objekt aus.

  Parameters:
    `document` - DOM-Tree, das plausibilisiert werden soll
    `context` - Kontext der Plausiausführung
  Returns:
    gibt das FehlerLog der durchgefuehrten Plausi zurueck

### getDTDTree

    public static NodeDef getDTDTree(java.lang.String plTyp)
                              throws java.lang.Exception

  gibt die DTD fuer die Plausi plTyp zurueck

  Parameters:
    `plTyp` - Plausiname
  Returns:
    DTD der Plausi
  Throws:
    `java.lang.Exception`

### writeErrorFile

    public int writeErrorFile(java.lang.String errorfilename,
                              FehlerLog fehlerLog)

  schreibt die bei der Plausibilisierung aufgetretenen Fehler aus dem FehlerLog im XML-Format in die Datei errorFilename

  Parameters:
    `errorfilename` - Name der Fehlerdatei
    `fehlerLog` - FehlerLog der Plausi

### writeErrorFileInOldFormat

    public int writeErrorFileInOldFormat(java.lang.String errorfilename,
                                         FehlerLog fehlerLog)

  schreibt die bei der Plausibilisierung aufgetretenen Fehler aus dem FehlerLog im XML-Format in die Datei errorFilename

  Parameters:
    `errorfilename` - Name der Fehlerdatei
    `fehlerLog` - FehlerLog der Plausi

### writeReturncodeFile

    public void writeReturncodeFile(java.lang.String filename,
                                    int returncode)

  schreibt eine Datei mit dem Returncode als Inhalt

  Parameters:
    `filename` - absoluter Pfad der Datei (wenn nur ein Dateiname ohne Pfad angegeben wird, wird die Datei im Hauptverzeichnis des Programms angelegt)
    `returncode` - Returncode der in die Datei geschrieben werden soll

### createFehlerObjekt

    public FehlerLog createFehlerObjekt(de.statspez.pleditor.generator.runtime.plausi.PlausiKontext kontext,
                                        de.statspez.pleditor.generator.runtime.plausi.PlausiInterface plausiInterface,
                                        java.lang.String datenquelle,
                                        boolean isAlteVersion,
                                        java.lang.String pruefschluessel)

  Schreibt die bei der Plausibilisierung aufgetretenen Fehler aus dem PlausiKontext kontext in ein FehlerLog.

  Parameters:
    `kontext` - Kontext der Plausi
    `plausiInterface` - Plausiinterface der Plausi
    `datenquelle` - Name der Datenquelle
    `isAlteVersion` - true, wenn alte Version (05_3_02) verwendet werden soll, sonst false
  Returns:
    das FehlerLog

### main

    public static void main(java.lang.String[] args)

  Fuehrt die der Nachrichtenversion entsprechende Plausi aus und generiert eine oder zwei Fehlerdateien Aufruf (altes Fehlerdateiformat (TXT und Returncodedatei): PlausiPerformer Returncodedatei Datendateiname [INI-Verzeichnis] oder (neues Fehlerdateiformat (XML)): PlausiPerformer Datendateiname [-ini INI-Verzeichnis]

  Parameters:
    `args` -

### getVersionInfo

    public static java.util.List getVersionInfo()
                                         throws java.lang.Exception

  Listet alle Versionen der Plausiprüfungen pro Nachrichtentyp.

  Returns:
    Eine Liste mit Informationen (`PlausiInfo`) zum Prüfmodul
  Throws:
    `java.lang.Exception` - Liefert eine Exception bei Fehler im Auflisten

### isTest

    public boolean isTest()

  Liefert, ob es sich um einen Test handelt oder nicht.

  Returns:
    Test: true, keine Test: false

### getLog

    public LoggerIfc getLog()

  Auslesen des Feldes log.

  Returns:
    Liefert log.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD